Bug 223584 - udev update udev-095-17 breaks aironet drivers
udev update udev-095-17 breaks aironet drivers
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
6
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-20 00:15 EST by Rohit V. Kapoor
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-20 06:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rohit V. Kapoor 2007-01-20 00:15:16 EST
Description of problem: After applying udev update versioned 095-17 to fc6,
aironet kernel drivers no longer work. Cisco Aironet 350 cards (PCMCIA) won't
associate to a access point and won't acquire an IP address using DHCP (static
won't work either).


Version-Release number of selected component (if applicable):
udev-095-17

How reproducible:
Install FC6 on a laptop with a Aironet 350 PCMCIA card. Aironet works fine with
the stock udev version 095-14. Upgrade to 095-17 and the Aironet drivers won't
work anymore. I've tried this with a PCMCIA Cisco Aironet 350 card, on a
Thinkpad T60. My guess is all Aironet cards would break, but I know for sure
Aironet 350 does break.


Steps to Reproduce:
1. Install FC6, Aironet 350 PCMCIA Card. It works OK.
2. Upgrade (yum update udev) to latest version 095-17. 
3. Aironet stops working, won't associate to an access point.
  
Actual results:
Aironet stops working, won't associate to an access point. Won't acquire IP
address using DHCP. Static leases won't work either.

Expected results:
Aironet should not stop working.

Additional info:
Comment 1 Rohit V. Kapoor 2007-01-20 00:19:25 EST
For anyone else encountering this problem the temporary workaround is to
downgrade to udev-095-14. 

(1) Download it from this URL:
http://linux.nssl.noaa.gov/fedora/core/6/i386/os/Fedora/RPMS/udev-095-14.i386.rpm
(2) rpm -Uvh --oldpackage udev-095-14.i386.rpm
(3) Reboot!
Comment 2 Harald Hoyer 2007-01-22 09:25:02 EST
could you please try to find out, which change is causing the problem?

Note You need to log in before you can comment on or make changes to this bug.